Package org.gradle.jvm.toolchain

## Interface JavadocTool

-     public interface JavadocTool

  Generates HTML API documentation for Java classes.
  Since:
    6.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegularFile` | `getExecutablePath()` | Returns the path to the executable for this tool
    `JavaInstallationMetadata` | `getMetadata()` | Returns metadata information about this tool

- - ### Method Detail

    - #### getMetadata

          JavaInstallationMetadata getMetadata()

      Returns metadata information about this tool
      Returns:
        the tool metadata

    - #### getExecutablePath

          @Internal
          RegularFile getExecutablePath()

      Returns the path to the executable for this tool
      Returns:
        the path to the executable